    Plot the fit results, and the data/model ratio, for the background of
    a PHA data set.

plot_bkg_fit_ratio(id=None, bkg_id=None, replot=False, overplot=False, clearwindow=True, **kwargs)
id - int or str, optional
bkg_id - int or str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

This creates two plots - the first from `plot_bkg_fit` and the second from `plot_bkg_ratio` - for a data set.

Plot the background fit and the ratio of the background to this fit for the default data set:

>>> plot_bkg_fit_ratio()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
bkg_id
Identify the background component to use, if there are multiple ones associated with the data set.
replot
Set to True to use the values calculated by the last call to `plot_bkg_fit_ratio` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

Notes

For the residual plot, the ylog setting is ignored, and the Y axis is drawn using a linear scale.

Changes in CIAO

The overplot option now works.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023